> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drime.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Note

> Get a single note by ID

## Overview

Retrieves a specific note by its ID.

## Path Parameters

<ParamField path="id" type="integer" required>
  Note ID
</ParamField>

## Response

<ResponseField name="data" type="object">
  The note object

  <Expandable title="Note properties">
    <ResponseField name="id" type="integer">
      Note ID
    </ResponseField>

    <ResponseField name="title" type="string">
      Note title
    </ResponseField>

    <ResponseField name="body" type="string">
      Note content
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://app.drime.cloud/api/v1/getNote/1 \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const noteId = 1;
  const response = await fetch(`https://app.drime.cloud/api/v1/getNote/${noteId}`, {
    headers: {
      'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
    }
  });

  const { data } = await response.json();
  console.log(`Note: ${data.title}`);
  ```

  ```python Python theme={null}
  import requests

  note_id = 1
  response = requests.get(
      f'https://app.drime.cloud/api/v1/getNote/{note_id}',
      headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
  )

  note = response.json()['data']
  print(f"Note: {note['title']}")
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Success theme={null}
  {
    "data": {
      "id": 1,
      "title": "Meeting Notes",
      "body": "Discussed project timeline and deliverables..."
    }
  }
  ```

  ```json 404 - Not Found theme={null}
  {
    "message": "Note not found"
  }
  ```
</ResponseExample>
